Charsets (Commons IO 2.5)
Date: 2016-12-01

org.apache.commons.io

## Class Charsets

- java.lang.Object
- - org.apache.commons.io.Charsets

-     public class Charsets
      extends java.lang.Object

  Charsets required of every implementation of the Java platform. From the Java documentation Standard charsets:

  Every implementation of the Java platform is required to support the following character encodings. Consult the release documentation for your implementation to see if any other encodings are supported. Consult the release documentation for your implementation to see if any other encodings are supported.

  - `US-ASCII`
    Seven-bit ASCII, a.k.a. ISO646-US, a.k.a. the Basic Latin block of the Unicode character set.
  - `ISO-8859-1`
    ISO Latin Alphabet No. 1, a.k.a. ISO-LATIN-1.
  - `UTF-8`
    Eight-bit Unicode Transformation Format.
  - `UTF-16BE`
    Sixteen-bit Unicode Transformation Format, big-endian byte order.
  - `UTF-16LE`
    Sixteen-bit Unicode Transformation Format, little-endian byte order.
  - `UTF-16`
    Sixteen-bit Unicode Transformation Format, byte order specified by a mandatory initial byte-order mark (either order accepted on input, big-endian used on output.)
  Since:
    2.3
  Version:
    $Id: Charsets.java 1686747 2015-06-21 18:44:49Z krosenvold $
  See Also:
    Standard charsets

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.nio.charset.Charset` | `ISO_8859_1` Deprecated. Use Java 7's `StandardCharsets`
    `static java.nio.charset.Charset` | `US_ASCII` Deprecated. Use Java 7's `StandardCharsets`
    `static java.nio.charset.Charset` | `UTF_16` Deprecated. Use Java 7's `StandardCharsets`
    `static java.nio.charset.Charset` | `UTF_16BE` Deprecated. Use Java 7's `StandardCharsets`
    `static java.nio.charset.Charset` | `UTF_16LE` Deprecated. Use Java 7's `StandardCharsets`
    `static java.nio.charset.Charset` | `UTF_8` Deprecated. Use Java 7's `StandardCharsets`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Charsets()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.SortedMap<java.lang.String,java.nio.charset.Charset>` | `requiredCharsets()` Constructs a sorted map from canonical charset names to charset objects required of every implementation of the Java platform.
    `static java.nio.charset.Charset` | `toCharset(java.nio.charset.Charset charset)` Returns the given Charset or the default Charset if the given Charset is null.
    `static java.nio.charset.Charset` | `toCharset(java.lang.String charset)` Returns a Charset for the named charset.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ISO_8859_1

          @Deprecated
          public static final java.nio.charset.Charset ISO_8859_1

      Deprecated. Use Java 7's `StandardCharsets`
      CharEncodingISO Latin Alphabet No. 1, a.k.a. ISO-LATIN-1.

      Every implementation of the Java platform is required to support this character encoding.

      See Also:
        Standard charsets

    - #### US_ASCII

          @Deprecated
          public static final java.nio.charset.Charset US_ASCII

      Deprecated. Use Java 7's `StandardCharsets`

      Seven-bit ASCII, also known as ISO646-US, also known as the Basic Latin block of the Unicode character set.

      Every implementation of the Java platform is required to support this character encoding.

      See Also:
        Standard charsets

    - #### UTF_16

          @Deprecated
          public static final java.nio.charset.Charset UTF_16

      Deprecated. Use Java 7's `StandardCharsets`

      Sixteen-bit Unicode Transformation Format, The byte order specified by a mandatory initial byte-order mark (either order accepted on input, big-endian used on output)

      Every implementation of the Java platform is required to support this character encoding.

      See Also:
        Standard charsets

    - #### UTF_16BE

          @Deprecated
          public static final java.nio.charset.Charset UTF_16BE

      Deprecated. Use Java 7's `StandardCharsets`

      Sixteen-bit Unicode Transformation Format, big-endian byte order.

      Every implementation of the Java platform is required to support this character encoding.

      See Also:
        Standard charsets

    - #### UTF_16LE

          @Deprecated
          public static final java.nio.charset.Charset UTF_16LE

      Deprecated. Use Java 7's `StandardCharsets`

      Sixteen-bit Unicode Transformation Format, little-endian byte order.

      Every implementation of the Java platform is required to support this character encoding.

      See Also:
        Standard charsets

    - #### UTF_8

          @Deprecated
          public static final java.nio.charset.Charset UTF_8

      Deprecated. Use Java 7's `StandardCharsets`

      Eight-bit Unicode Transformation Format.

      Every implementation of the Java platform is required to support this character encoding.

      See Also:
        Standard charsets

  - ### Constructor Detail

    - #### Charsets

          public Charsets()

  - ### Method Detail

    - #### requiredCharsets

          public static java.util.SortedMap<java.lang.String,java.nio.charset.Charset> requiredCharsets()

      Constructs a sorted map from canonical charset names to charset objects required of every implementation of the Java platform.

      From the Java documentation Standard charsets:

      Returns:
        An immutable, case-insensitive map from canonical charset names to charset objects.
      Since:
        2.5
      See Also:
        `Charset.availableCharsets()`

    - #### toCharset

          public static java.nio.charset.Charset toCharset(java.nio.charset.Charset charset)

      Returns the given Charset or the default Charset if the given Charset is null.
      Parameters:
        `charset` - A charset or null.
      Returns:
        the given Charset or the default Charset if the given Charset is null

    - #### toCharset

          public static java.nio.charset.Charset toCharset(java.lang.String charset)

      Returns a Charset for the named charset. If the name is null, return the default Charset.
      Parameters:
        `charset` - The name of the requested charset, may be null.
      Returns:
        a Charset for the named charset
      Throws:
        `java.nio.charset.UnsupportedCharsetException` - If the named charset is unavailable

Copyright (c) 2002-2016 Apache Software Foundation